//////////////////////////////////////////////////////////////////////////////
//////////////////////////////////////////////////////////////////////////////
//
// Class          : SpecialForm
//
// Author         : Richard E. Pattis
//                  Computer Science Department
//                  Carnegie Mellon University
//                  5000 Forbes Avenue
//                  Pittsburgh, PA 15213-3891
//                  e-mail: pattis@cs.cmu.edu
//
// Maintainer     : Author
//
//
// Description:
//
//   The SpecialForm class implements the Univariate interface, usable with
// AdvanceMath.
//
// Future Plans   : None
//
// Program History:
//   9/22/01: R. Pattis - Operational for 15-100
//
//
//////////////////////////////////////////////////////////////////////////////
//////////////////////////////////////////////////////////////////////////////


package edu.cmu.cs.pattis.cs151xx;


public class SpecialForm implements Univariate {
  
  public SpecialForm (double a, double b, double c)
  {
    this.a = a;
    this.b = b;
    this.c = c;
  }
  
  public double evaluate (double x)
  {return a/Math.sqrt(b*x*x + c);}
  
  
  private double a,b,c;
}
